<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit;
} 
/**
 * @hooked WC_Emails::email_header() Output the email header
 */



	do_action( 'woocommerce_email_header', $email_heading, $email );  ?>

	<p><?php printf( __( 'The order #%d has electronic receipt. Details:', 'woo-uuid' ), $order->get_order_number() ); ?></p>

<?php

	$data = get_post_meta( $order->id, 'OperationElectronicDataReceipt', true );
 	$qrcode = get_post_meta( $order->id, 'OperationElectronicDataQrCode', true );  	
	$data =str_replace("D	","  ",$data); 
	$data =str_replace("T	N H","<br/>",$data); 
	$data =str_replace("T	B H","<br/>",$data); 
	$data =str_replace("T	N B","<br/>",$data); 
	$data =str_replace("T	B B","<br/>",$data); 
	$data =str_replace("T	N P","<br/>",$data); 
	$data =str_replace("T	B F","<br/>",$data); 
	$data =str_replace("T	N A","<br/>",$data); 
	$data =str_replace("T	N D","<br/>",$data); 
	$data =str_replace("T	N Q","<br/>",$data);         

	$data =str_replace("Q	B T","<br/>",$data); 
	$data =str_replace("T	N Y","<br/>",$data);
	$data =str_replace("T	N S","<br/>",$data);
	$data =str_replace("Q	B T","<br/>",$data);
        $data =str_replace("==E","==",$data);

	

	$fileName ="qrcodeTest.png";
        $pngAbsoluteFilePath = CUSTOM_WC_EMAIL_PATH  . '/temp' ;
        $filePath = $pngAbsoluteFilePath."/".$fileName;
     
        if(is_dir($pngAbsoluteFilePath) == FALSE)
	{
		if (mkdir($pngAbsoluteFilePath,0777,true) === FALSE)
		{
			echo "Failed to create folder for images";
		}
	}

    	QRCode::png($qrcode, $filePath);
        if(file_exists($filePath)) {
        	$data =str_replace("[FISCAL QR CODE]",'<img width="90" height="90" src="' . plugins_url( 'woo-uuid/temp/'.$fileName, CUSTOM_WC_EMAIL_PATH ) . '"    />',$data);
	}
	
	
	echo "=================================";
 	echo '<br/>';  ?>
 	<p><?php echo $data;?> </p>

<?php

/**
 * @hooked WC_Emails::email_footer() Output the email footer
 */
do_action( 'woocommerce_email_footer', $email );


